[script]
n0=on *:start:writeini soulfly.ini version $nopath($script) 1.6
n1=on *:unload:remini soulfly.ini version $nopath($script)
n2=menu query {
n3=  $bdc($$1):/return
n4=  -
n5=  View Profile:prof_chk $ial($$1) $qc($$1) v-
n6=  -
n7=  $iif($ignore($+(*!,$ial($$1).addr)),$style(1)) Ignore:iggy $$1 $ial($$1).addr $qc($$1)
n8=  -
n9=  Close:/window -c $$1
n10=}
n11=menu * {
n12=  $iif($menu = channel,Away/Return Options)
n13=  .$iif($menu = channel,$iif(# isin $hget(soulfly,away),Return From Away,Set Yourself Away)):{ $iif($input(Enter $iif(# isin $hget(soulfly,away),Return,Away) Message:,e,$v_,$iif(# isin $hget(soulfly,away),$iif(%return_msg,%return_msg,I'm Back!),$iif(%away_msg,%away_msg,I'll brb))),away # $ifmatch) }
n14=  .$iif($menu = channel,Store Away Message):set %away_msg $input(Enter Away Message,ie,$v_ Away Message,%away_msg)
n15=  .$iif($menu = channel,Store Return Message):set %return_msg $input(Enter Return Message,ie,$v_ Away Message,%return_msg)
n16=  $iif($menu = channel,-)
n17=  $iif($menu = channel,Room Options)
n18=  .$hget(soulfly,#)
n19=  ..Name:{ clipboard # | echo %_cc -a $str(%c160,4) Copied $cb to your clipboard }
n20=  ..-
n21=  .. $chr(160) Url:{ clipboard $_url(#) | echo -a $chr(160) | echo %_cc -a $str(%c160,4) > $cb | echo -a $chr(160) }
n22=  ..-
n23=  ..Invite:{ var %in = $$?=" $hget(soulfly,#) $crlf Enter Nickname to Invite." | sockwrite -n $+(sf.,#) Invite %in # | echo %_cc -at [11Invite] You have invited $bdc(%in) to join $+($hget(soulfly,#),.) }
n24=  .-
n25=  .$iif($active && $v1 = #,Script Check)
n26=  ..Check:{ set %scheck $addtok(%scheck,#,44) | who # }
n27=  ..$iif($active && $v1 = #,$iif(%s_nix,$style(1)) Colour):{ hvp s_nix $true | s_nix }
n28=  ..$iif($me isop #,-)
n29=  ..$iif($me isop #,Kick):{ set %kscheck $addtok(%kscheck,#,44) | who # }
n30=  .$iif($active && $v1 = #,-)
n31=  .$iif($me isop #,Admin Options)
n32=  ..-
n33=  ..$iif($nick(#,$me,' .),Room Broadcast):notice # # $?="Enter Your Notice Message"
n34=  ..-
n35=  ..Room Keys:/roomkeyz
n36=  ..-
n37=  ..$iif($menu = channel,Åxis Options)
n38=  ...Open Åxis:axis #
n39=  ...-
n40=  ...Clear Åxis
n41=  ....Denies:ax_clear # d
n42=  ....-
n43=  ....Owner:ax_clear # q
n44=  ....Host:ax_clear # o
n45=  ....Voice:ax_clear # v
n46=  ....Grant:ax_clear # g
n47=  ....-
n48=  ....All:ax_clear #
n49=  ...-
n50=  ...Save Åxis:axis.save # x
n51=  ...-
n52=  ....$iif(!$hget(soulfly,ax_add),$style(1)) Auto Add:{ hpp soulfly ax_add $true | axis.opchk # }
n53=  ....$iif(# !isin $hget(soulfly,ax_list),$style(1)) Auto Update:{ hpp soulfly ax_list # | axis.opchk # }
n54=  ..-
n55=  ..Change Topic:{ prop # topic $?="Enter New Topic for $hget(soulfly,#) " }
n56=  ..Change Onjoin:{ prop # onjoin $?="Enter New Onjoin Message for $hget(soulfly,#) " }
n57=  .$iif($me isop #,-)
n58=  .$iif($me isop #,Properties)
n59=  ..$iif($nick(#,$me,'),$iif(# isin $hget(prot,propall),Lock,Unlock) All Props):/propall #
n60=  ..-
n61=  ..$iif($hget(prot,propchk),$style(1)) Prop Check:{ hpp prot propchk $true | propchk }
n62=  ..-
n63=  ..[X] Locked:/return
n64=  ..-
n65=  ..$iif(#,$iif($nick(#,$me,') || $_818(#,ownerkey),$iif($_818(#,ownerkey),$style(1)) Owner Key)):{ prn # OWNERKEY }
n66=  ..$iif(#,$iif($nick(#,$me,') || $_818(#,hostkey),$iif($_818(#,hostkey),$style(1)) Host Key)):{ prn # HOSTKEY }
n67=  ..$iif(#,$iif($nick(#,$me,') || $_818(#,memberkey),$iif($_818(#,memberkey),$style(1)) Member Key)):{ prn # MEMBERKEY }
n68=  ..-
n69=  ..$iif(#,$iif($nick(#,$me,') || $_818(#,category),$iif($_818(#,category),$style(1)) Category)):{ prn # Category }
n70=  ..$iif(#,$iif($nick(#,$me,') || $_818(#,language),$iif($_818(#,language),$style(1)) Language)):{ prn # Language }
n71=  ..-
n72=  ..$iif(#,$iif($nick(#,$me,') || $_818(#,topic),$iif($_818(#,topic),$style(1)) Topic)):{ prn # Topic }
n73=  ..$iif(#,$iif($nick(#,$me,') || $_818(#,onjoin),$iif($_818(#,onjoin),$style(1)) On Join)):{ prn # OnJoin }
n74=  ..$iif(#,$iif($nick(#,$me,') || $_818(#,onpart),$iif($_818(#,onpart),$style(1)) On Part)):{ prn # OnPart }
n75=  .$iif($me isop #,-)
n76=  .$iif($me isop #,Modes)
n77=  ..Room Limit $+([,$gettok($hget(prot,$+(mode,#)),2,32),]):{ sockwrite -n $+(sf.,#) MODE # +l $?="Enter New Room Limit." }
n78=  ..-
n79=  ..$iif(k isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1) Room Key is $+([,$gettok($hget(prot,$+(mode,#)),3,32),]),Set Key):{ sockwrite -n $+(sf.,#) mode # $iif(k isletter $hget(prot,$+(mode,#)),-k $gettok($hget(prot,$+(mode,#)),3,32),+k $?="Enter New Room Key.") }
n80=  ..-
n81=  ..$iif(P isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) IP Limit:{ sockwrite -n $+(sf.,#) mode # $iif(P isletter $hget(prot,$+(mode,#)),-P,+P) }
n82=  ..$iif(f isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) Swear Filter:{ sockwrite -n $+(sf.,#) mode # $iif(f isletter $hget(prot,$+(mode,#)),-f,+f) }
n83=  ..$iif(w isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) No Whispers:{ sockwrite -n $+(sf.,#) mode # $iif(w isletter $hget(prot,$+(mode,#)),-w,+w) }
n84=  ..$iif(W isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) No Guest Whispers:{ sockwrite -n $+(sf.,#) mode # $iif(W isletter $hget(prot,$+(mode,#)),-W,+W) }
n85=  ..-
n86=  ..$iif(m isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) Moderated:{ sockwrite -n $+(sf.,#) mode # $iif(m isletter $hget(prot,$+(mode,#)),-m,+m) }
n87=  ..$iif(u isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) Show Knocks:{ sockwrite -n $+(sf.,#) mode # $iif(u isletter $hget(prot,$+(mode,#)),-u,+u) }
n88=  ..$iif(t isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) Topic Lock:{ sockwrite -n $+(sf.,#) mode # $iif(t isletter $hget(prot,$+(mode,#)),-t,+t) }
n89=  ..-
n90=  ..$iif(i isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) Invite Only:{ sockwrite -n $+(sf.,#) mode # $iif(i isletter $hget(prot,$+(mode,#)),-i,+i) }
n91=  ..$iif(s isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) Secret:{ sockwrite -n $+(sf.,#) mode # $iif(s isletter $hget(prot,$+(mode,#)),-s,+s) }
n92=  ..$iif(p isletter $gettok($hget(prot,$+(mode,#)),1,32),$style(1)) Private:{ sockwrite -n $+(sf.,#) mode # $iif(p isletter $hget(prot,$+(mode,#)),-p,+p) }
n93=  .-
n94=  .Joins
n95=  ..$iif($me isop #,$iif(# isin $hget(soulfly,autovoice),$style(1)) Give Voice):hpp soulfly autovoice #
n96=  ..$iif($me isop #,$iif($hget(soulfly,auto-v),$style(1)) Automatic):hpp soulfly auto-v $true
n97=  ..$iif($me isop #,-)
n98=  ..$iif($hget(soulfly,$+(joinsound,#)),$style(1)) Join Sound
n99=  ...$iif($hget(soulfly,$+(joinsound,#)),$style(1)) Turn $iif($hget(soulfly,$+(joinsound,#)),Off,On) $chr(160) $hget(soulfly,#):mn_nicks jsound #
n100=  ...-
n101=  ...$iif($hget(soulfly,$+(joinsound,#)),Play Sound):{ splay $hget(SoulFly,$+(joinsound,#)) }
n102=  ...$iif($hget(soulfly,$+(joinsound,#)),Change Sound):mn_nicks csound #
n103=  ..$chr(160) ( $chr(160) $iif($hget(soulfly,$+(joinsound,#)),On,Off) $chr(160) ):/return
n104=  .-
n105=  .$iif(!%nicks,$style(1)) Nick Logger
n106=  ..$str($chr(160),3) Status ( $iif(!%nicks,On,Off) )
n107=  ...Turn $iif(!%nicks,Off,On):hvp nicks $true
n108=  ..-
n109=  ..$iif($window(@user),Close,Open) User Window:mn_nicks user
n110=  ..-
n111=  ..$iif(# isin $hget(soulfly,nlhost),$style(1)) Message Hosts:hpp soulfly nlhost #
n112=  ..-
n113=  ..$iif(#,$iif(# isin $hget(SoulFly,nl.msg),$style(1)) Message $hget(soulfly,#)):{ hpp SoulFly nl.msg # | $iif(# isin $hget(soulfly,nl.msg) && $hget(soulfly,nl) = $null,hadd soulfly nl msg) }
n114=  ..-
n115=  ..$iif(# isin $hget(soulfly,nl.msg),$iif($hget(soulfly,nl) = msg,$style(1)) Message):hadd soulfly nl msg
n116=  ..$iif(# isin $hget(soulfly,nl.msg),$iif($hget(soulfly,nl) = describe,$style(1)) Action):hadd soulfly nl describe
n117=  ..$iif(# isin $hget(soulfly,nl.msg),$iif($hget(soulfly,nl) = echo,$style(1)) Echo):hadd soulfly nl echo
n118=  -
n119=  $iif($menu != nicklist && $menu != menubar,$v_)
n120=  .$iif(!$sock(SoulFly),Connect Local Socket!):sf_conn
n121=  .-
n122=  .Account Options $str($chr(160),3) F1
n123=  ..Account Setup:/sf
n124=  ..-
n125=  ..$submenu($addpp($1))
n126=  ..-
n127=  ..Register:webpage BuzzenV2_Registration www.buzzen.com/passport/reg.php
n128=  ..Edit Profile:webpage BuzzenV2_EditProfile www.buzzen.com/members/edit.php
n129=  ..-
n130=  ..Change Nick (Quick):{ sockwrite -n $+(sf.,#) NICK $+(:,$?="Enter New Nickname.") }
n131=  ..Change Nick (Official):webpage BuzzenV2_ChangeNick www.buzzen.com/members/nickname.php
n132=  .-
n133=  .Preferences
n134=  ..SoulFly Themes
n135=  ...$iif(!$hget(soulfly,thm_chn) || !$hget(soulfly,thm_q),$iif(!$hget(soulfly,nocolor),$style(1)) User Colors $str($chr(160),2) ( $iif(!$hget(soulfly,nocolor),On,Off) )):hpp soulfly nocolor $true
n136=  ...-
n137=  ...$iif(!$hget(soulfly,thm_chn),$style(1)) Channel:{ hpp soulfly thm_chn $true | $iif(!$hget(soulfly,thm_chn),.enable,.disable) #theme }
n138=  ...$iif(!$hget(soulfly,thm_q),$style(1)) Queries:{ hpp soulfly thm_q $true | $iif(!$hget(soulfly,thm_q),.enable,.disable) #themeq }
n139=  ...-
n140=  ...Message Color
n141=  ....$submenu($ccl($1))
n142=  ...-
n143=  ...NickList Color
n144=  ....$iif($color(listbox) = 0,$style(1)) White:nlist_c 0
n145=  ....$iif($color(listbox) = 1,$style(1)) Black:nlist_c 1
n146=  ....$iif($color(listbox) = 2,$style(1)) Dk Blue:nlist_c 2
n147=  ....$iif($color(listbox) = 10,$style(1)) Slate Blue:nlist_c 10
n148=  ....$iif($color(listbox) = 3,$style(1)) Green:nlist_c 3
n149=  ....$iif($color(listbox) = 5,$style(1)) Tan:nlist_c 5
n150=  ....$iif($color(listbox) = 6,$style(1)) Purple:nlist_c 6
n151=  ..-
n152=  ..$iif(!$hget(soulfly,noquery),$style(1)) Queries $chr(160) ( $iif($hget(soulfly,noquery),Blocked,Allowed) )
n153=  ...Global $iif(!$hget(soulfly,noquery),Block,Allow) :{ hpp soulfly noquery $true | error -n $crlf Whispers are: $chr(160) $iif($hget(soulfly,noquery),Blocked,Allowed) }
n154=  ...-
n155=  ...$iif($chan isin $hget(prot,chn.query),$style(1)) Block in $hget(soulfly,$chan) :{ hpp prot chn.query $chan | error -n $crlf Whispers are: $chr(160) $iif($chan isin $hget(prot,chn.query),Blocked,Allowed) in $hget(soulfly,$chan) }
n156=  ...$iif($hget(soulfly,noquery),-)
n157=  ...$iif($hget(soulfly,noquery),$iif($hget(soulfly,queryh),$style(1)) Allow Hosts):hpp soulfly queryh $true
n158=  ...-
n159=  ...$iif(%qflash,$style(1)) Flash:{ hvp qflash $true }
n160=  ...-
n161=  ...$iif($hget(soulfly,query),$style(1)) Sound $chr(160) ( $iif($hget(soulfly,query),On,Off) ):mn_nicks qsound
n162=  ...$iif($hget(soulfly,query),-)
n163=  ...$iif($hget(soulfly,query), $iif($hget(soulfly,queryn),$style(1)) Once):hadd soulfly queryn $true
n164=  ...$iif($hget(soulfly,query),$iif(!$hget(soulfly,queryn),$style(1)) Repeat):{ hdel soulfly queryn | unset %qsound.* }
n165=  ...$iif($hget(soulfly,query),-)
n166=  ...$iif($hget(soulfly,query),Change):mn_nicks qcsound
n167=  ...$iif($hget(soulfly,query),Hear):splay $hget(soulfly,query)
n168=  ...-
n169=  ...$iif(!$hget(soulfly,bznquery),$style(1)) Buzzen Style:hpp soulfly bznquery $true
n170=  ..-
n171=  ..$iif(!%invite,$style(1)) Invites $str($chr(160),2) ( $iif(%invite,Blocked,Allowed) ):hvp invite $true
n172=  ..-
n173=  ..$iif(!$hget(prot,Notice),$style(1)) Notices $chr(160) ( $iif($hget(prot,notice),Blocked,Allowed) )
n174=  ...$iif(!$hget(prot,notice),Block,Allow):hpp prot notice $true
n175=  ..$iif(!$hget(prot,notice),-)
n176=  ..$iif(!$hget(prot,notice),$iif(!$hget(soulfly,kiss),$style(1)) Kiss $str($chr(160),7) $chr(40) $iif(!$hget(soulfly,kiss),Allowed,Blocked) $chr(41)):hpp soulfly kiss $true
n177=  ..$iif(!$hget(prot,notice),$iif($hget(soulfly,buzz),$style(1)) Buzz $str($chr(160),6) $chr(40) $iif($hget(soulfly,buzz),Allowed,Blocked) $chr(41))
n178=  ...$iif($hget(soulfly,buzz),Block,Allow):mn_nicks bsound
n179=  ...$iif($hget(soulfly,buzz),-)
n180=  ...$iif($hget(soulfly,buzz),$iif(!$hget(soulfly,buzz_p),$style(1)) PopUp Message):hpp soulfly buzz_p $true
n181=  ...$iif($hget(soulfly,buzz),Change):mn_nicks bcsound
n182=  ...$iif($hget(soulfly,buzz),Hear):mn_nicks splay
n183=  ..-
n184=  ..$iif($menu = channel,Åxis Options)
n185=  ...$iif(!$hget(soulfly,ax_save),$style(1)) Auto-Save:hpp soulfly ax_save $true
n186=  ...-
n187=  ...$iif(!$hget(soulfly,ax_add),$style(1)) Auto Add:hpp soulfly ax_add $true
n188=  ...$iif($active && $v1 = #,$iif(# !isin $hget(soulfly,ax_list),$style(1)) Auto Update):hpp soulfly ax_list #
n189=  ..-
n190=  ..$iif(!$hget(soulfly,timex),$style(1)) Time Reply
n191=  ...Turn $iif($hget(soulfly,timex),On,Off):hpp soulfly timex $true
n192=  ...-
n193=  ...Edit Reply:/time_adj
n194=  ..-
n195=  ..$iif(!%nicks,$style(1)) Nick Logger
n196=  ...$str($chr(160),3) Status ( $iif(!%nicks,On,Off) )
n197=  ....Turn $iif(!%nicks,Off,On):hvp nicks $true
n198=  ...-
n199=  ...$iif($window(@user),Close,Open) User Window:mn_nicks user
n200=  ...-
n201=  ...$iif(#,$iif(# isin $hget(soulfly,nlhost),$style(1)) Message Hosts):hpp soulfly nlhost #
n202=  ...-
n203=  ...$iif(#,$iif(# isin $hget(SoulFly,nl.msg),$style(1)) Message $hget(soulfly,#)):hpp SoulFly nl.msg #
n204=  ...-
n205=  ...$iif(# isin $hget(soulfly,nl.msg),$iif($hget(soulfly,nl) = msg,$style(1)) Message):hadd soulfly nl msg
n206=  ...$iif(# isin $hget(soulfly,nl.msg),$iif($hget(soulfly,nl) = describe,$style(1)) Action):hadd soulfly nl describe
n207=  ...$iif(# isin $hget(soulfly,nl.msg),$iif($hget(soulfly,nl) = echo,$style(1)) Echo):hadd soulfly nl echo
n208=  ..-
n209=  ..SoulFly Notices
n210=  ...Status ( $iif(!$hget(soulfly,error),On,Off) ):mn_err err
n211=  ...$iif(!$hget(soulfly,error),-)
n212=  ...$iif(!$hget(soulfly,error),Auto-Close In):mn_err dur
n213=  ...$iif(!$hget(soulfly,error),$str($chr(160),3) %error_dur seconds):mn_err dur
n214=  ...-
n215=  ...$iif(!$hget(soulfly,errorsound),$style(1)) Error Sound:hpp soulfly errorsound $true
n216=  ...$iif(!$hget(soulfly,error),$iif(!$hget(soulfly,errorx),$style(1)) Error Messages):mn_err errx
n217=  ...-
n218=  ...$iif(!$hget(soulfly,error) && !$hget(soulfly,errorx),$iif(!$hget(soulfly,notice),$style(1)) SoulFly Notices):mn_err not
n219=  ...$iif(!$hget(soulfly,error) && !$hget(soulfly,errorx),$iif(!$hget(soulfly,error_u),$style(1)) SoulFly Updates):mn_err upd
n220=  ..-
n221=  ..$iif(!$treebar,$iif($window(status window).state = hidden,$style(1)) $+($iif($v1 = hidden,Un-),Hide) Status Window) :{ hvp h_stat $true | window $iif($window(status window).state = hidden,-w1,-h) "status window" } )
n222=  .-
n223=  .Server Settings
n224=  ..$style(1) %server $str($chr(160),3):/return
n225=  ..-
n226=  ..Edit:{ var %c_s = $input(Enter the new server address.,e,Buzzen Server,%server) | set %server $iif(!%c_s,%server,%c_s) }
n227=  ..-
n228=  ..24.215.5.3:set %server 24.215.5.3
n229=  ..irc.buzzen.net:set %server irc.buzzen.net
n230=  .-
n231=  .Protections
n232=  ..$iif(!$hget(prot,rejoin),$style(1)) Rejoin on Kick:hpp prot rejoin $true
n233=  ..$iif(!$hget(prot,banretry),$style(1)) Rejoin on Ban:{ hpp prot banretry $true | $iif(!$hget(prot,banretry),chk_sfdc) }
n234=  .-
n235=  .User Lists $str($chr(160),9) s + F4:lists
n236=  .-
n237=  .Webpages $str($chr(160),7) c + F1
n238=  ..Open $iif($hget(soulfly,wp),On Desktop,In mIRC)
n239=  ...Switch To $iif($hget(soulfly,wp),mIRC,Desktop):hpp soulfly wp $true
n240=  ..-
n241=  ..SoulFly Forum:webpage SoulFly www.SoulFly-iRC.com
n242=  ..-
n243=  ..Buzzen Home:webpage Buzzen.net www.buzzen.com
n244=  ..Buzzen Forum:webpage Buzzen_Forum www.buzzen.info
n245=  ..-
n246=  ..mIRC.com:webpage mIRC.com trout.snt.utwente.nl/ubbthreads/ubbthreads.php
n247=  ..TechGear007:Webpage tg007.net www.tg007.net
n248=  ..Evolution Scriptz:url -n http://www.evolutionscriptz.com/index.php
n249=  ..Rumbaar.net:webpage Rumbaar.net www.public.rumbaar.net/index.php
n250=  ..-
n251=  ..Google:webpage Google.com www.google.com
n252=  ..Wikipedia:webpage Wikipedia.org www.wikipedia.org
n253=  ..Dictionary:webpage m-w.com www.m-w.com
n254=  ..-
n255=  ..BableFish Translator:webpage BabelFish world.altavista.com/tr
n256=  .-
n257=  .Games
n258=  ..Kingdom of Loathing:webpage K_0_L www.kingdomofloathing.com
n259=  ..Throw Rocks At Boys:webpage Throw_Rocks www.davidandgoliathtees.com/games/throwrocks.html
n260=  ..-
n261=  ..Bauns:webpage Bauns www.ferryhalim.com/orisinal/g3/bauns.htm
n262=  ..Friends:webpage Friends www.ferryhalim.com/orisinal/g2/friends.htm
n263=  ..Puzzle:webpage Puzzle www.ferryhalim.com/orisinal/g2/puzzler.htm
n264=  ..Way Home:webpage Way_Home www.ferryhalim.com/orisinal/g3/home.htm
n265=  ..Catch Stars:webpage Stars www.ferryhalim.com/orisinal/g2/stars.htm
n266=  .-
n267=  .Help
n268=  ..$iif($hget(soulfly,upd8x),Updates Available,Check For Updates):/updateme
n269=  ..-
n270=  ..SoulFly HelpDesk:/jroom #_SoulFly_
n271=  ..-
n272=  ..SoulFly Forum:webpage SoulFly www.soulfly-irc.com
n273=  ..SoulFly Tutorial:webpage SoulFly_Walkthrough www.soulfly-irc.com/viewtopic.php?f=6&t=54
n274=  ..-
n275=  ..Report Bugs:webpage Bug_Report www.soulfly-irc.com/viewforum.php?f=9
n276=  ..-
n277=  ..BuzzenV2 Help
n278=  ...HelpDesk
n279=  ....In mIRC:jroom helpdesk
n280=  ....-
n281=  ....WebChat:webpage BuzzenV2_HelpDesk www.buzzen.net/chatui.aspx?rm=%25%23HelpDesk
n282=  ..-
n283=  ..$iif($script(sf_restore.mrc),BackUp / Restore) :backup
n284=  ..$iif($script(sf_restore.mrc),-)
n285=  ..Buzzen Emotes:emote
n286=  -
n287=  $iif($menu != nicklist && $menu != menubar && %lastadd != $null,Join a Room $str($chr(160),9) F3)
n288=  .Join Options $str($chr(160),10) F3:/fav
n289=  .-
n290=  .Recent Rooms
n291=  ..$submenu($v_rrlist($1))
n292=  .-
n293=  .Idle Rooms
n294=  ..$iif(#,$hget(soulfly,#) $chr(160) $+([,$iif($right(#,-1) isin %idl. [ $+ [ %lastadd ] ],Remove,Add),])):idl $right(#,-1)
n295=  ..$iif(#,-)
n296=  ..$submenu($ipp($1))
n297=  .$iif($hget(soulfly,autojoin),$style(1)) $chr(160) $chr(160) AutoJoin:hpp soulfly autojoin $true
n298=  .-
n299=  .Room List $str($chr(160),14) F4
n300=  ..$submenu($ctpp($1))
n301=  .-
n302=  .Favorite Rooms
n303=  ..$hget(soulfly,#) $chr(160) $+([,$iif($right(#,-1) isin %fav,Remove,Add),]):faves $right(#,-1)
n304=  ..-
n305=  ..$submenu($fpp($1))
n306=  .-
n307=  .$iif($menu != nicklist && %lastadd != $null,Create Room $str($chr(160),4) c+F5):/create
n308=  .-
n309=  .$iif($hget(soulfly,a_create),$style(1)) Auto Create:hpp soulfly a_create $true
n310=  $iif($menu != nicklist,-)
n311=  -
n312=}
n313=menu nicklist {
n314=  $iif($ulist($address($$1,3),tagged,1),$style(1)) Tag Options for $bdc($$1)
n315=  .$iif($ulist($address($$1,3),tagged,1),$style(1) Un) $+ Tag $bdc($$1):{ $iif($ulist($address($$1,3),tagged,1),ruser,auser) tagged $address($$1,3) }
n316=  .-
n317=  .Tag is $iif($hget(soulfly,hlt),On,Off)
n318=  ..Turn $iif($hget(soulfly,hlt),Off,On) :hpp soulfly hlt $true
n319=  .-
n320=  .Sound $chr(160) ( $iif($hget(soulfly,hL_sound),$nopath($ifmatch),Off) ):mn_nicks HL
n321=  .$iif($hget(soulfly,hL_sound),Change Sound):mn_nicks HL x
n322=  -
n323=  $iif($$1 && $me isop #,-)
n324=  $iif($$1 && $me isop #,Åxis Options for $bdc($$1))
n325=  .Add
n326=  ..Owner:{ access # add owner $address($$1,3) 0 :( $$1 )added by $me | echo %_cc -a $str($chr(160),5) > Added10 $bdc($$1) to the 6[Owner] Axis List }
n327=  ..Host:{ access # add host $address($$1,3) 0 :( $$1 )added by $me | echo %_cc -a $str($chr(160),5) > Added10 $bdc($$1) to the 5[Host] Axis List }
n328=  ..Grant:{ access # add grant $address($$1,3) 0 :( $$1 )added by $me | echo %_cc -a $str($chr(160),5) > Added10 $bdc($$1) to the 2[Grant] Axis List }
n329=  ..Voice:{ access # add voice $address($$1,3) 0 :( $$1 )added by $me | echo %_cc -a $str($chr(160),5) > Added10 $bdc($$1) to the 3[Voice] Axis List }
n330=  ..Deny:{ access # add deny $address($$1,3) 0 :( $$1 )added by $me | echo %_cc -a $str($chr(160),5) > Added10 $bdc($$1) to the 4[Deny] Axis List }
n331=  .Remove:{ $axis_find(#,$ial($$1)).del | echo %_cc -t # Removed $bdc($$1) from the $hget(soulfly,#) access list. }
n332=  $iif($$1,-)
n333=  $iif($$1,Clipboard Options for $bdc($$1))
n334=  .$$1:{ clipboard $$1 | echo -a $chr(160) | echo %_cc -a $str($chr(160),6) 4 $cb  saved to clipboard ... }
n335=  .$bdc($$1):{ clipboard $bdc($$1) | echo -a $chr(160) | echo %_cc -a $str($chr(160),6) 4 $cb  saved to clipboard ... }
n336=  .-
n337=  .Gate 1:{ clipboard $ial($$1).addr | echo -a $chr(160) | echo %_cc -a $str($chr(160),6) 4 $cb  saved to clipboard ... }
n338=  .Gate 2:{ clipboard $address($$1,3) | echo -a $chr(160) | echo %_cc -a $str($chr(160),6) 4 $cb  saved to clipboard ... }
n339=  .Just Gate:{ clipboard $hi($ial($$1).addr) | echo -a $chr(160) | echo %_cc -a $str($chr(160),6) 4 $cb  saved to clipboard ... }
n340=  .Full Address:{ clipboard $ial($$1) | echo -a $chr(160) | echo %_cc -a $str($chr(160),6) 4 $cb  saved to clipboard ... }
n341=  -
n342=  $iif($$1 isin $hget(soulfly,nl_host),$style(1)) NickLog Clone Msg $bdc($$1):hpp soulfly nl_host $$1
n343=  -
n344=  $iif($me !isop #,Status Options for $bdc($$1))
n345=  .$iif($$1 != $me && $me !isop #,Whisper):{ query $$1 | hadd soulfly $+(sfw_,$$1) # }
n346=  .$iif($$1 != $me && $me !isop #,Notice):notice # $$1 $$?="Enter Notice Message"
n347=  .$iif($$1 != $me && $me !isop #,-)
n348=  .$iif($me !isop #,Profiles)
n349=  ..$iif($me !isop #,View Profile):prof_chk $ial($$1) # v-
n350=  ..$iif($me !isop #,Beta Profiles):prof_chk $ial($$1) # v- xx
n351=  .$iif($$1 != $me && $me !isop #,Check Time):sockwrite -n $+(sf.,#) PRIVMSG # $$1 :TIME 
n352=  .$iif($$1 != $me && $me !isop #,Script Check):{ set %scheck. [ $+ [ $$1 ] ] # | who # }
n353=  .-
n354=  .$iif($$1 != $me && $me !isop #,$iif($ignore($+(*!,$ial($$1).addr)),$style(1)) Ignore):iggy $$1 $ial($$1).addr #
n355=  .$iif($$1 != $me && $me !isop #,$iif($hget(prot,$+(not.,$gettok($gettok($ial($$1),1,64),-1,33))),$style(1)) Block Notices):hpp prot $+(not.,$gettok($gettok($ial($$1),1,64),-1,33)) $bdc($$1)
n356=  $iif($me isop #,Status Options for $bdc($$1))
n357=  .$iif($$1 != $me,Whisper):{ query $$1 | hadd soulfly $+(sfw_,$$1) # }
n358=  .$iif($$1 != $me,Notice):notice # $$1 $$?="Enter Notice Message"
n359=  .-
n360=  .Profile
n361=  ..View Profile:prof_chk $ial($$1) # v-
n362=  ..Beta Profile:prof_chk $ial($$1) # v- xx
n363=  .$iif($$1 != $me,Check Time):sockwrite -n $+(sf.,#) PRIVMSG # $$1 :TIME
n364=  .$iif($1 != $me,Script Check):{ set %scheck. [ $+ [ $$1 ] ] # | who # }
n365=  .-
n366=  .$iif($$1 != $me,$iif($ignore($+(*!,$ial($$1).addr)),$style(1)) Ignore):iggy $bdc($$1) $ial($$1).addr #
n367=  .$iif($$1 != $me,$iif($hget(prot,$+(not.,$gettok($gettok($ial($$1),1,64),-1,33))),$style(1)) Block Notices):hpp prot $+(not.,$gettok($gettok($ial($$1),1,64),-1,33)) $bdc($$1)
n368=  .$iif($me isop #,-)
n369=  .$iif($nick(#,$$1,'), SuperOwner):/return
n370=  .$iif(!$nick(#,$$1,') && $nick(#,$me,' .),$iif($nick(#,$$1,.),$style(1)) Owner):np_ q $$1 #
n371=  .$iif(!$nick(#,$$1,') && $nick(#,$me,' . @),$iif($nick(#,$$1,@) && $$1 !isowner #,$style(1)) Host):np_ o $$1 #
n372=  .$iif(!$nick(#,$$1,') && $nick(#,$me,' . @),$iif($$1 ishop # && $$1 !isop #,$style(1)) Help-Op):np_ h $$1 #
n373=  .$iif(!$nick(#,$$1,') && $nick(#,$me,' . @),$iif(!$nick(#,$$1,. @ %) && $$1 isvo #,$style(1)) Voiced):np_ v $$1 #
n374=  .$iif(!$nick(#,$$1,') && $nick(#,$me,' . @),$iif(!$nick(#,$$1,. @ %) && $$1 !isvo #,$style(1)) $iif(m isin $hget(soulfly,$+(mode,#)),Spectator,Not Voiced))):np_ s $$1 #
n375=  .-
n376=  .$iif($$1 != $me,Kiss):{ splay sounds\kiss.wav | sockwrite -n $+(sf.,#) notice # $$1 $+(:,$me) has sent you a Kiss! | echo %_cc # * You have sent 6 $bdc($$1)  a 4Kiss! }
n377=  .$iif($$1 != $me,Buzz):{ sockwrite -n $+(sf.,#) notice # $$1 :Bzzz! $me has BUZZED you! | echo %_cc # * You have sent 6 $bdc($$1)  a 4Buzz! }
n378=  .$iif($$1 != $me,Poke):describe # pokes $$1
n379=}
n380=
n381=alias nlist_c {
n382=  color listbox $1
n383=  color treebar $1
n384=}
